#pragma once
#include "Box.h"
#include <vector>
#include "Graphics.h"
#include "Logger.h"
#include "Drawable.h"

class Section
{
public:
	Section() = default;
	Section(const Section&) = delete;

	void DrawShapes(
		Graphics& gfx,
		Logger& logger) noexcept;
	~Section() = default;
protected:
	std::vector<std::unique_ptr<Drawable>> shapes;
};